## Running local-examples

To run the examples provided here, as the examples compare pai4sk with scikit-learn,
install `scikit-learn` and `pandas` also.

```
conda install scikit-learn pandas
```

If you want to skip the scikit-learn part of the examples, you can use --skip_sklearn option on the command line of examples. This is useful specifically when large data is being used by example and in such cases scikit-learn can take a long time to perform training.

Most of the examples take command line options like --data_path, --use_gpu, --device_ids, --skip_sklearn.

By default the location of `--data_path` is current directory. Parent directory of the directory 'data/' is to be given as parameter to --data_path option.

By default the training will run on CPU. With --use_gpu option, default device_ids list contains only GPU 0 for pai4sk and all the available GPUs for pai4sk.lmodel.

User can set the parameter device_ids to run training on required GPUs.

See the README.md files in the invidual sub-directories for step-by-step instructions for running each of the examples.

&copy; Copyright IBM Corporation 2018, 2019
